Page MenuHomePhabricator

Create Wikipedia Amis
Closed, ResolvedPublic

Description

The language committee has approved the creation of Wikipedia Amis.

  • Shard: s5
  • Local file uploads: disabled

Thank you.


Pre-install automatic checklist:

The Wiki is ready to be created.


Step by step commands:
On deploy1001:
cd /srv/mediawiki-staging/
git fetch
git log -p HEAD..@{u}
git rebase
On mwmaint1002:
scap pull
mwscript extensions/WikimediaMaintenance/addWiki.php --wiki=muswiki ami wikipedia amiwiki ami.wikipedia.org
On deploy1001:
scap sync-file wmf-config/db-eqiad.php "Creating amiwiki (T292414)"
scap sync-file wmf-config/db-codfw.php "Creating amiwiki (T292414)"
scap sync-file dblists "Creating amiwiki (T292414)"
scap sync-wikiversions "Creating amiwiki (T292414)"
scap sync-file static/images/project-logos/ "Creating amiwiki (T292414)"
scap sync-file wmf-config/logos.php "Creating amiwiki (T292414)"
scap sync-file wmf-config/InitialiseSettings.php "Creating amiwiki (T292414)"
scap sync-file langlist "Creating amiwiki (T292414)"
On mwmaint1002:
mwscript extensions/CirrusSearch/maintenance/UpdateSearchIndexConfig.php --wiki=amiwiki --cluster=all
On deploy1001:
scap update-interwiki-cache

End of automatic output

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 725881 had a related patch set uploaded (by Gerrit maintenance bot; author: Gerrit maintenance bot):

[mediawiki/extensions/WikimediaMessages@master] Add messages for Amis Wikipedia (amiwiki)

https://gerrit.wikimedia.org/r/725881

Change 725881 merged by jenkins-bot:

[mediawiki/extensions/WikimediaMessages@master] Add messages for Amis Wikipedia (amiwiki)

https://gerrit.wikimedia.org/r/725881

Change 733141 had a related patch set uploaded (by Gerrit maintenance bot; author: Gerrit maintenance bot):

[operations/dns@master] Add ami to langlist helper

https://gerrit.wikimedia.org/r/733141

Change 733143 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] Initial configuration for amiwiki

https://gerrit.wikimedia.org/r/733143

Urbanecm added a subscriber: Urbanecm.

Creation of the wiki was scheduled for next Thursday, 08:30–10:00 UTC. Once the wiki is created, this ticket will be closed, and one of the new wiki importers will import content from Incubator to the newly created wiki.

Change 734219 had a related patch set uploaded (by Jon Harald Søby; author: Jon Harald Søby):

[mediawiki/core@master] Add namespace translations for [ami] Amis and [pwn] Paiwan

https://gerrit.wikimedia.org/r/734219

Change 733141 merged by Dzahn:

[operations/dns@master] Add ami to langlist helper

https://gerrit.wikimedia.org/r/733141

Mentioned in SAL (#wikimedia-traffic) [2021-10-25T21:50:14Z] <mutante> log authdns1001 (DNS) - sudo authdns-update, add new project language "ami" (Amis) for T292414 - edited langlist.tmpl which regenerates all project zones

Mentioned in SAL (#wikimedia-operations) [2021-10-25T21:52:09Z] <mutante> new project language "ami" added - Sowal no 'Amis is the Formosan language of the 'Amis (or Ami), an indigenous people living along the east coast of Taiwan. - T292414

added in DNS: ami.wikipedia.org is an alias for dyna.wikimedia.org.

Change 734587 had a related patch set uploaded (by Urbanecm; author: Jon Harald Søby):

[mediawiki/core@wmf/1.38.0-wmf.6] Add namespace translations for [ami] Amis and [pwn] Paiwan

https://gerrit.wikimedia.org/r/734587

Change 734588 had a related patch set uploaded (by Urbanecm; author: Jon Harald Søby):

[mediawiki/core@wmf/1.38.0-wmf.5] Add namespace translations for [ami] Amis and [pwn] Paiwan

https://gerrit.wikimedia.org/r/734588

Change 734588 merged by Urbanecm:

[mediawiki/core@wmf/1.38.0-wmf.5] Add namespace translations for [ami] Amis and [pwn] Paiwan

https://gerrit.wikimedia.org/r/734588

Change 734587 merged by Urbanecm:

[mediawiki/core@wmf/1.38.0-wmf.6] Add namespace translations for [ami] Amis and [pwn] Paiwan

https://gerrit.wikimedia.org/r/734587

Mentioned in SAL (#wikimedia-operations) [2021-10-26T11:49:27Z] <urbanecm@deploy1002> Started scap: c131f32e5e0804c8f5c2ec768b334c81a1b35151: Add namespace translations for [ami] Amis and [pwn] Paiwan (T292414, T292415)

Mentioned in SAL (#wikimedia-operations) [2021-10-26T11:51:52Z] <urbanecm@deploy1002> Finished scap: c131f32e5e0804c8f5c2ec768b334c81a1b35151: Add namespace translations for [ami] Amis and [pwn] Paiwan (T292414, T292415) (duration: 02m 25s)

Change 734219 merged by jenkins-bot:

[mediawiki/core@master] Add namespace translations for [ami] Amis and [pwn] Paiwan

https://gerrit.wikimedia.org/r/734219

Change 733143 merged by jenkins-bot:

[operations/mediawiki-config@master] Initial configuration for amiwiki

https://gerrit.wikimedia.org/r/733143

Mentioned in SAL (#wikimedia-operations) [2021-10-28T08:47:05Z] <urbanecm@deploy1002> Synchronized wmf-config/db-eqiad.php: Creating amiwiki (T292414) (duration: 01m 02s)

Mentioned in SAL (#wikimedia-operations) [2021-10-28T08:48:07Z] <urbanecm@deploy1002> Synchronized wmf-config/db-codfw.php: Creating amiwiki (T292414) (duration: 01m 02s)

Mentioned in SAL (#wikimedia-operations) [2021-10-28T08:49:11Z] <urbanecm@deploy1002> Synchronized dblists: Creating amiwiki (T292414) (duration: 01m 02s)

Mentioned in SAL (#wikimedia-operations) [2021-10-28T08:50:22Z] <urbanecm@deploy1002> rebuilt and synchronized wikiversions files: Creating amiwiki (T292414)

Mentioned in SAL (#wikimedia-operations) [2021-10-28T08:50:38Z] <urbanecm> [urbanecm@mwmaint1002 ~]$ mwscript extensions/CirrusSearch/maintenance/UpdateSearchIndexConfig.php --wiki=amiwiki --cluster=all # T292414

Mentioned in SAL (#wikimedia-operations) [2021-10-28T08:51:24Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Creating amiwiki (T292414) (duration: 01m 02s)

Mentioned in SAL (#wikimedia-operations) [2021-10-28T08:52:27Z] <urbanecm@deploy1002> Synchronized langlist: Creating amiwiki (T292414) (duration: 01m 02s)

Wiki is live now.

added to Wikistats as 324th Wikipedia

Change 735755 had a related patch set uploaded (by Reedy; author: Reedy):

[operations/mediawiki-config@master] Add ami to langlist

https://gerrit.wikimedia.org/r/735755

Change 735755 merged by jenkins-bot:

[operations/mediawiki-config@master] Add ami to langlist

https://gerrit.wikimedia.org/r/735755

Mentioned in SAL (#wikimedia-operations) [2021-11-01T02:22:28Z] <reedy@deploy1002> Synchronized langlist: Add ami to langlist T294717 T292414 (duration: 00m 55s)